Bug 625346 - unable to use bkr command line client
Summary: unable to use bkr command line client
Status: CLOSED DUPLICATE of bug 624594
Alias: None
Product: Beaker
Classification: Community
Component: command line   
(Show other bugs)
Version: 0.7
Hardware: All
OS: Linux
low
medium vote
Target Milestone: ---
Assignee: Bill Peck
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-19 06:56 UTC by Stefan Assmann
Modified: 2014-08-12 04:33 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-20 01:52:12 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Stefan Assmann 2010-08-19 06:56:15 UTC
Description of problem:
bkr list-labcontrollers
Traceback (most recent call last):
  File "/usr/bin/bkr", line 9, in <module>
    load_entry_point('bkr.client==0.5.52', 'console_scripts', 'bkr')()
  File "/usr/lib/python2.6/site-packages/bkr/client/main.py", line 32, in main
    return parser.run()
  File "/usr/lib/python2.6/site-packages/kobo/cli.py", line 270, in run
    cmd.run(*cmd_args, **cmd_kwargs)
  File "/usr/lib/python2.6/site-packages/bkr/client/commands/cmd_list_labcontrollers.py", line 20, in run
    self.set_hub(username, password)
  File "/usr/lib/python2.6/site-packages/kobo/plugins.py", line 51, in __getattr__
    return getattr(self.container, name)
AttributeError: 'CommandContainer' object has no attribute 'set_hub'

cat ~/.beaker_client/config 
HUB_URL = "https://beaker.engineering.redhat.com"
AUTH_METHOD = "krbv"
KRB_REALM = "REDHAT.COM"

kerberos is up and running.

Version-Release number of selected component (if applicable):
This is on RHEL6

rpm -qa |grep beaker
beaker-client-0.5.52-3.el6.noarch
beakerlib-1.3-3.el6.noarch
python-beaker-1.3.1-6.el6.noarch
beaker-0.5.52-3.el6.noarch
beaker-redhat-0.1.13-1.el6.noarch
beakerlib-redhat-1-2.el6.noarch

How reproducible:
always

Comment 2 Stefan Assmann 2010-08-19 11:08:56 UTC
Already using 0.3.0 and still doesn't work

rpm -qa |grep kobo
kobo-0.3.0-2.el6.noarch
kobo-client-0.3.0-2.el6.noarch

Comment 3 Ales Zelinka 2010-08-19 13:19:03 UTC
That seems to be the problem.

I did "yum downgrade kobo kobo-client" which erased the 0.3 from epel and installed 0.2 from rhel6 repo and bkr works again.

Comment 4 Raymond Mancy 2010-08-20 01:52:12 UTC

*** This bug has been marked as a duplicate of bug 624594 ***


Note You need to log in before you can comment on or make changes to this bug.